#!/bin/bash

dir="${1}"

[ ! -d "$dir/" ] && exit 255

set -e

cd "$dir/"
if [ ! -d "$dir/.git" ]; then
	git init
	git add .
	git commit -m "Initial commit" &>/dev/null
fi

git add .
git commit -am "autocommit $0 $*" &>/dev/null || true
exit 0
