<?php

$data = file("/var/lib/http.load");

function __encode($line) {
	$url = urlencode($line);
	$url = str_replace("%23", "#", $url);
	$url = str_replace("%26", "&", $url);
	$url = str_replace("%28", "(", $url);
	$url = str_replace("%29", ")", $url);
	$url = str_replace("%2C", ",", $url);
	$url = str_replace("%2F", "/", $url);
	$url = str_replace("%2A", "*", $url);
	$url = str_replace("%2B", "+", $url);
	$url = str_replace("%3A", ":", $url);
	$url = str_replace("%3B", ";", $url);
	$url = str_replace("%3D", "=", $url);
	$url = str_replace("%3F", "?", $url);
	$url = str_replace("%40", "@", $url);
	$url = str_replace("%7E", "~", $url);
	return "$url";
}

function __encode_decode($line) {
	$encode_line = __encode($line);
	if (!strcmp($encode_line, $line))
		return;
	echo("$encode_line\n");
	if (strpos($encode_line, "+"))
		$no_plus_line = str_replace("+", "%20", $encode_line);
	if (strcmp($no_plus_line, $encode_line))
		echo("$no_plus_line\n");
	if (strpos($encode_line, "%27")) {
		echo(str_replace("%27", "'", $encode_line) . "\n");
		echo(str_replace("+", "%20", (str_replace("%27", "'", $encode_line) . "\n")));
	}
}

function __encoded_cp1251_to_utf8($line) {
	$line2 = iconv("cp1251", "utf-8", urldecode($line));
	$line2_encoded = __encode($line2);
	if (strcmp($line, $line2_encoded))
		echo($line2_encoded."\n");
}

function raw_utf8_cyrillic_to_cp1251($line) {
	$line2 = iconv("utf-8", "cp1251", $line);
	if (strcmp($line, $line2))
		echo($line2."\n");
}

foreach ($data as $__line) {
	$line = trim($__line);
	if (!strpos($line, '%') || preg_match('/[а-я]/i', $line)) {
		__encode_decode($line);
		if (strpos($line, ' '))
			continue;
		//задача idna
		if (preg_match('|http:\/\/[а-я]|i', $line))
			continue;
	}
	__encoded_cp1251_to_utf8($line);
	raw_utf8_cyrillic_to_cp1251($line);
	echo($line."\n");
}
?>
