#!/bin/bash

. /usr/local/Reductor/etc/const

VERBOSE="0"
[ "$1" = '--verbose' ] && VERBOSE=1 && shift
TEMPLATE="$1"

for bk in /var/lib/reductor/backups/all/*.tar.gz; do
	rm -rf /tmp/backup.test/
	mkdir /tmp/backup.test/
	( cd /tmp/backup.test/; tar xfz $bk )
	if [ "$VERBOSE" = '1' ]; then
		echo -n "$bk: "
		if fgrep -qo "$TEMPLATE" /tmp/backup.test/$DUMPXML; then
			echo 'FOUND'
		else
			echo 'NO'
		fi
	else
		fgrep -o "$TEMPLATE" /tmp/backup.test/$DUMPXML
	fi
done
