#!/bin/bash

. /usr/local/Reductor/etc/const
. $MAINDIR/usr/share/angel_lib
. $CONFIG

check() {
	local TMPFILE=$TMPDIR/check_network_errors
	ip -s -s link show label eth* | egrep '([0-9]+[^a-z]+){6}' > $TMPFILE
	while read packets bytes errors tmp; do
		[ $((errors * 100 / (packets+1))) -gt 1 ] && return 1
	done < $TMPFILE
	rm -f $TMPFILE
	return 0
}

error() {
	log_error "Ошибки на сетевой карте"
	log "На одной из сетевых карт возникают ошибки приёма/отправки пакетов"
}

main
